default:
    suites:
        ui_paying_for_order:
            contexts_services:
                - sylius.behat.context.hook.doctrine_orm

                - sylius.behat.context.transform.address
                - sylius.behat.context.transform.customer
                - sylius.behat.context.transform.lexical
                - sylius.behat.context.transform.locale
                - sylius.behat.context.transform.order
                - sylius.behat.context.transform.payment
                - sylius.behat.context.transform.product
                - sylius.behat.context.transform.shared_storage
                - sylius.behat.context.transform.shipping_method
                - sylius.behat.context.transform.tax_category
                - sylius.behat.context.transform.tax_rate
                - sylius.behat.context.transform.zone

                - sylius.behat.context.setup.channel
                - sylius.behat.context.setup.currency
                - sylius.behat.context.setup.geographical
                - sylius.behat.context.setup.locale
                - sylius.behat.context.setup.order
                - sylius.behat.context.setup.payment
                - sylius.behat.context.setup.product
                - sylius.behat.context.setup.shipping
                - sylius.behat.context.setup.shop_security
                - sylius.behat.context.setup.taxation
                - sylius.behat.context.setup.user

                - sylius.behat.context.ui.paypal
                - sylius.behat.context.ui.shop.cart
                - sylius.behat.context.ui.shop.checkout
                - sylius.behat.context.ui.shop.checkout.addressing
                - sylius.behat.context.ui.shop.checkout.complete
                - sylius.behat.context.ui.shop.checkout.order_details
                - sylius.behat.context.ui.shop.checkout.payment
                - sylius.behat.context.ui.shop.checkout.shipping
                - sylius.behat.context.ui.shop.checkout.thank_you

                - waaz.system_pay_plugin.context.setup.system_pay

                - waaz.system_pay_plugin.context.ui.shop.system_pay
            filters:
                tags: "@paying_with_system_pay_for_order && @ui"
        ui_managing_payment_methods:
            contexts_services:
                - sylius.behat.context.hook.doctrine_orm

                - sylius.behat.context.setup.channel
                - sylius.behat.context.setup.currency
                - sylius.behat.context.setup.locale
                - sylius.behat.context.setup.order
                - sylius.behat.context.setup.payment
                - sylius.behat.context.setup.product
                - sylius.behat.context.setup.admin_security
                - sylius.behat.context.setup.shipping
                - sylius.behat.context.setup.user
                - sylius.behat.context.setup.zone

                - sylius.behat.context.transform.address
                - sylius.behat.context.transform.customer
                - sylius.behat.context.transform.locale
                - sylius.behat.context.transform.payment
                - sylius.behat.context.transform.product
                - sylius.behat.context.transform.shared_storage
                - sylius.behat.context.transform.shipping_method

                - sylius.behat.context.ui.admin.managing_payment_methods
                - sylius.behat.context.ui.admin.notification
                - sylius.behat.context.ui.shop.locale

                - waaz.system_pay_plugin.context.setup.channel
                - waaz.system_pay_plugin.context.ui.admin.managing_payment_methods
            filters:
                tags: "@managing_payment_method_system_pay && @ui"
